package com.platform.yijia.service.impl;

import com.platform.yijia.dao.CustomerManagerMapper;
import com.platform.yijia.pojo.CustomerManage;
import com.platform.yijia.service.CustomerManagerService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service("customerManagerService")
public class CustomerManagerServiceImpl implements CustomerManagerService {
    @Resource
    private CustomerManagerMapper customerManagerMapper;

    //更新客户信息
    @Override
    public void updateCustomerInfo(CustomerManage customerManage) {
        customerManagerMapper.updateCustomerInfo(customerManage);
    }

    //插入客户信息
    @Override
    public void insertCustomerInfo(CustomerManage customerManage) {
        customerManagerMapper.insertCustomerInfo(customerManage);
    }

    //获取客户信息
    @Override
    public CustomerManage getCustomerManageInfo(CustomerManage customerManage) {
        return customerManagerMapper.getCustomerManageInfo(customerManage);
    }
}
